%{?mingw_package_header}

Name:           mingw-libtasn1
Version:        4.19.0
Release:        %mkrel 1
Summary:        MinGW Windows libtasn1 library

# The libtasn1 library is LGPLv2+, utilities are GPLv3+;
# we are only packaging the library.
License:        LGPLv2+
Group:          Development/Other
URL:            https://www.gnu.org/software/libtasn1/
Source0:        https://ftp.gnu.org/gnu/libtasn1/libtasn1-%{version}.tar.gz
Source1:        https://ftp.gnu.org/gnu/libtasn1/libtasn1-%{version}.tar.gz.sig

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 98
BuildRequires:  mingw32-gcc

BuildRequires:  mingw64-filesystem >= 98
BuildRequires:  mingw64-gcc

BuildRequires:  bison


%description
libtasn1 is the ASN.1 library used in GNUTLS.

This package contains the MinGW Windows cross compiled libtasn1 library.


%package -n mingw32-libtasn1
Summary:        MinGW Windows libtasn1 library
Requires:       pkgconfig

%description -n mingw32-libtasn1
A library that provides Abstract Syntax Notation One (ASN.1, as specified
by the X.680 ITU-T recommendation) parsing and structures management, and
Distinguished Encoding Rules (DER, as per X.690) encoding and decoding functions.

This package contains the MinGW Windows cross compiled libtasn1 library.


%package -n mingw64-libtasn1
Summary:        MinGW Windows libtasn1 library
Requires:       pkgconfig

%description -n mingw64-libtasn1
A library that provides Abstract Syntax Notation One (ASN.1, as specified
by the X.680 ITU-T recommendation) parsing and structures management, and
Distinguished Encoding Rules (DER, as per X.690) encoding and decoding functions.

This package contains the MinGW Windows cross compiled libtasn1 library.


%{?mingw_debug_package}


%prep
%setup -q -n libtasn1-%{version}


%build
%mingw_configure --disable-static --disable-gcc-warnings
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=%{buildroot}

# Remove documentation
rm -rf %{buildroot}%{mingw32_datadir}/info/
rm -rf %{buildroot}%{mingw64_datadir}/info/
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}
# Remove .la and .def files
rm -f %{buildroot}%{mingw32_libdir}/{*.la,*.def}
rm -f %{buildroot}%{mingw64_libdir}/{*.la,*.def}
# Remove utilities
rm -f %{buildroot}%{mingw32_bindir}/*.exe
rm -f %{buildroot}%{mingw64_bindir}/*.exe


%files -n mingw32-libtasn1
%license COPYING doc/COPYING.LESSER
%{mingw32_bindir}/libtasn1-6.dll
%{mingw32_includedir}/libtasn1.h
%{mingw32_libdir}/libtasn1.dll.a
%{mingw32_libdir}/pkgconfig/libtasn1.pc

%files -n mingw64-libtasn1
%license COPYING doc/COPYING.LESSER
%{mingw64_bindir}/libtasn1-6.dll
%{mingw64_includedir}/libtasn1.h
%{mingw64_libdir}/libtasn1.dll.a
%{mingw64_libdir}/pkgconfig/libtasn1.pc




%changelog
* Mon Nov 21 2022 daviddavid <daviddavid> 4.19.0-1.mga9
+ Revision: 1909783
- new version 4.19.0

* Mon Mar 21 2022 umeabot <umeabot> 4.16.0-4.mga9
+ Revision: 1813279
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 4.16.0-3.mga8
+ Revision: 1630274
- rebuild for new mingw stack

* Thu Feb 20 2020 umeabot <umeabot> 4.16.0-2.mga8
+ Revision: 1546423
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 4.16.0-1.mga8
+ Revision: 1486492
- new version: 4.16.0

* Fri Nov 22 2019 daviddavid <daviddavid> 4.15.0-1.mga8
+ Revision: 1462057
- new version: 4.15.0

* Fri Jul 26 2019 daviddavid <daviddavid> 4.14-1.mga8
+ Revision: 1424201
- new version: 4.14

* Thu Sep 20 2018 umeabot <umeabot> 4.13-2.mga7
+ Revision: 1279916
- Mageia 7 Mass Rebuild

* Tue Jun 26 2018 daviddavid <daviddavid> 4.13-1.mga7
+ Revision: 1239873
- new version: 4.13

* Wed May 11 2016 tv <tv> 4.5-1.mga6
+ Revision: 1012714
- new release

* Tue Feb 02 2016 umeabot <umeabot> 3.3-7.mga6
+ Revision: 931720
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.3-6.mga5
+ Revision: 739797
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3-5.mga5
+ Revision: 682488
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 3.3-4.mga4
+ Revision: 547302
- imported package mingw-libtasn1


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.3-3
- Fix FTBFS against latest mingw-w64 (already resolved in upstream gnulib)

* Thu May 30 2013 Michael Cronenworth <mike@cchtml.com> - 3.3-2
- Rebuild for mingw-filesystem changes

* Thu May 09 2013 Michael Cronenworth <mike@cchtml.com> - 3.3-1
- Update to 3.3

* Thu Feb 07 2013 Michael Cronenworth <mike@cchtml.com> - 3.2-1
- Update to 3.2

* Sat Nov 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.14-1
- Update to 2.14

* Sun Oct 07 2012 Kalev Lember <kalevlember@gmail.com> - 2.13-1
- Update to 2.13

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 20 2012 Kalev Lember <kalevlember@gmail.com> - 2.12-1
- Update to 2.12 (#804920)
- Build 64 bit Windows binaries

* Tue Feb 28 2012 Kalev Lember <kalevlember@gmail.com> - 2.9-4
- Remove .la files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.9-3
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 10 2011 Kalev Lember <kalevlember@gmail.com> - 2.9-1
- Update to 2.9
- Renamed the base package to mingw-libtasn1
- Use the automatic dep extraction available in mingw32-filesystem 68

* Mon May 09 2011 Kalev Lember <kalev@smartlink.ee> - 2.7-1
- Initial RPM release
